Skip to content
PATCH

Update store homepage URL

https://api.kustom.co/accountmanagement/v1/merchants/{merchantId}/store-information/stores/{storeId}

Updates the homepage URL for a specific store belonging to a merchant.

Parameters2 fields
  • merchantIdstringrequiredin path

    The unique Kustom merchant identifier.

  • storeIdstringrequiredin path

    The store identifier within the merchant account.

Request body1 field
  • homepage_urlstringrequired

    The new homepage URL. Must start with http:// or https://.

200
Response0 fields

Homepage URL updated successfully.

No response body — this status returns headers only.

400
Response0 fields

Invalid URL format.

No response body — this status returns headers only.

401
Response0 fields

Unauthorized — missing or invalid access token.

No response body — this status returns headers only.

404
Response0 fields

Merchant or store not found.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.